<form #registerForm="ngForm" (ngSubmit)="register()" fxLayoutAlign="center">

  <mat-card fxFlex="50%">

    <mat-card-title>
      <span class="text">Rejestracja</span>
    </mat-card-title>

    <mat-card-content fxLayout="column">
      <mat-form-field>
        <input matInput
               name="firstName"
               required
               [(ngModel)]="user.firstName"
               #firstName="ngModel"
               placeholder="Imię"/>
        <mat-error *ngIf="firstName.errors && firstName.errors.required">To pole nie może być puste</mat-error>
      </mat-form-field>

      <mat-form-field>
        <input matInput
               name="lastName"
               required
               [(ngModel)]="user.lastName"
               #lastName="ngModel"
               placeholder="Nazwisko"/>
        <mat-error *ngIf="lastName.errors && lastName.errors.required">To pole nie może być puste</mat-error>
      </mat-form-field>

      <mat-form-field>
        <input matInput
               name="email"
               required
               minlength="5"
               maxlength="20"
               [(ngModel)]="user.email"
               #email="ngModel"
               placeholder="Email"/>
        <mat-error *ngIf="email.errors && email.errors.required">To pole nie może być puste</mat-error>
        <mat-error *ngIf="email.errors && (email.errors.minlength || email.errors.maxlength)">
          Długość musi się  zawierać pomiędzy 5 a 20 znaków
        </mat-error>
      </mat-form-field>

      <mat-form-field>
        <input matInput
               name="password"
               #password="ngModel"
               placeholder="Hasło"
               minlength="1"
               maxlength="20"
               [(ngModel)]="user.password"
               required
               type="password"/>
        <mat-error *ngIf="password.errors && password.errors.required">To pole nie może być puste</mat-error>
        <mat-error *ngIf="password.errors && (password.errors.minlength || password.errors.maxlength)">
          Długość musi się  zawierać pomiędzy 1 a 20 znaków
        </mat-error>
      </mat-form-field>

    </mat-card-content>

    <mat-card-actions fxLayoutAlign="center">
      <button mat-raised-button color="primary">
        Zarejestruj
      </button>
    </mat-card-actions>
  </mat-card>
</form>
